﻿@model IEnumerable<LMS.Data.Models.Book>

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<br/>
<br/>
<br/>

<h1>Books Catalog</h1>

<p>
    @if (User.IsInRole("Librarian"))
    {
        <a asp-action="Create" class="btn btn-outline-info">Add New Book</a>
    }

</p>
<table class="table table-hover ">
    <thead>
        <tr>
            <th>
                
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Title)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Author)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Pages)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Year)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Country)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Language)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.ISBN)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Category)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                <img src="@Html.DisplayFor(modelItem => item.ImageURL)" height="40" />
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Title)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Author.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Pages)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Year)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Country)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Language)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ISBN)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Category)
            </td>
            <td>

                <a asp-action="Details" asp-route-id="@item.BookId" class="btn btn-primary">Details</a>

                @if (User.IsInRole("Librarian"))
                {
                    <a asp-action="Edit" asp-route-id="@item.BookId" class="btn btn-primary">Edit</a>
                    <a asp-action="Delete" asp-route-id="@item.BookId" class="btn btn-primary">Delete</a>
                    <a asp-controller="BookItems" asp-action="Create" asp-route-id="@item.BookId" class="btn btn-primary">Add Copy</a>
                }
            </td>
        </tr>
}
    </tbody>
</table>

